=== debian/changelog ===
orthanc-wsi (0.5-2build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:50:23 +0000

orthanc-wsi (0.5-2) unstable; urgency=medium

  * Set -DNDEBUG to disable assertion checking

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 14:23:59 +0200

orthanc-wsi (0.5-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 24 Apr 2018 11:38:56 +0200
