=== ViewerPlugin/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
 
 add_definitions(
   -DHAS_ORTHANC_EXCEPTION=1
+  -DORTHANC_ENABLE_LOGGING_PLUGIN=1
   )
 
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" OR
@@ -104,7 +105,7 @@
 if (STATIC_BUILD OR NOT USE_SYSTEM_OPENLAYERS)
   DownloadPackage(
     "77e57aad873c2d4deea8bb1446e9b87a"
-    "http://www.orthanc-server.com/downloads/third-party/WSI/openlayers-3.19.0-dist.zip"
+    "http://orthanc.osimis.io/ThirdPartyDownloads/openlayers-3.19.0-dist.zip"
     "v3.19.0-dist")
   
   set(OPENLAYERS_RESOURCES
