=== debian/changelog ===
orthanc-wsi (0.6-2ubuntu5) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:55:09 +0100

orthanc-wsi (0.6-2ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:22:32 +0100

orthanc-wsi (0.6-2ubuntu3) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:04:02 +0000

orthanc-wsi (0.6-2ubuntu2) focal; urgency=medium

  * Use orthanc from the archive, rather than included copy of code.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Feb 2020 07:18:14 +0000

orthanc-wsi (0.6-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:24:34 +0100

orthanc-wsi (0.6-2build1) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 18:10:10 +0100

orthanc-wsi (0.6-2) unstable; urgency=medium

  * Removed $(DEB_VERSION) from SOVERSION.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 13:40:33 +0100

orthanc-wsi (0.6-1) unstable; urgency=medium

  * New upstream version
  * Updated d/upstream/metadata with new reference paper about Orthanc
  * Fix FTBFS with dcmtk 3.6.4, Closes: #919742

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 26 Jan 2019 14:18:06 +0100
