=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: orthanc-wsi
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 9),
+               devscripts,
+               curl,
                libboost-all-dev,
                libcurl4-openssl-dev | libcurl4-dev,
                libdcmtk-dev,
@@ -18,7 +21,7 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-wsi
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-wsi.git
 Homepage: http://www.orthanc-server.com/static.php?page=wsi
