=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,22 @@
 # https://lists.debian.org/debian-med/2018/04/msg00132.html
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
+FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
+
 
 %:
 	dh $@ --parallel
 
 CMAKE_APPLICATIONS_EXTRA_FLAGS += \
+	-DORTHANC_FRAMEWORK_SOURCE=path \
+	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/Applications/ThirdPartyDownloads/orthanc \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 CMAKE_VIEWER_EXTRA_FLAGS += \
+	-DORTHANC_FRAMEWORK_SOURCE=path \
+	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ViewerPlugin/ThirdPartyDownloads/orthanc \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DUSE_SYSTEM_OPENLAYERS:BOOL=ON \
 	-DOPENLAYERS_CSS=$(CURDIR)/BuildViewer/ol.min.css \
@@ -29,11 +36,11 @@
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p Applications/ThirdPartyDownloads
 	( cd Applications/ThirdPartyDownloads && \
-	  ln -s ../../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+	apt-get source orthanc || HOME=$(CURDIR)/Applications/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
 
 	mkdir -p ViewerPlugin/ThirdPartyDownloads
 	( cd ViewerPlugin/ThirdPartyDownloads && \
-	  ln -s ../../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+	apt-get source orthanc || HOME=$(CURDIR)/ViewerPlugin/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
 
         # Configure the command-line tools
 	mkdir BuildApplications
@@ -73,11 +80,10 @@
 	dh_auto_install --builddirectory=BuildApplications
 
         # Install the plugin
-	cp BuildViewer/${VIEWER_TARGET} BuildViewer/${VIEWER_TARGET}.${UPSTREAM_VERSION}
-	dh_install BuildViewer/${VIEWER_TARGET}.${UPSTREAM_VERSION} usr/lib
+	dh_install BuildViewer/${VIEWER_TARGET}.${UPSTREAM_VERSION} usr/lib/orthanc
 
 override_dh_link:
-	dh_link usr/lib/${VIEWER_TARGET}.${UPSTREAM_VERSION} \
+	dh_link usr/lib/orthanc/${VIEWER_TARGET}.${UPSTREAM_VERSION} \
 		usr/share/orthanc/plugins/${VIEWER_TARGET}
 
 override_dh_installchangelogs:
