## orthanc-wsi 0.7

=== Applications/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 SET(ENABLE_DCMTK_NETWORKING OFF)    # Disable DCMTK's support for DICOM networking
 SET(ENABLE_JPEG ON)
 SET(ENABLE_LOCALE ON)               # Enable support for locales (notably in Boost)
+SET(ENABLE_OPENSSL_ENGINES ON)
 SET(ENABLE_PNG ON)
 SET(ENABLE_SSL ON)
 SET(ENABLE_WEB_CLIENT ON)
