=== debian/changelog ===
orthanc-wsi (0.7-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 May 2020 17:11:33 +0200
