=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: orthanc-wsi
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
-               devscripts,
-               curl,
+               debhelper (>= 10),
                libboost-all-dev,
                libcurl4-openssl-dev | libcurl4-dev,
                libdcmtk-dev,
@@ -21,7 +18,7 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-wsi
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-wsi.git
 Homepage: http://www.orthanc-server.com/static.php?page=wsi
