=== debian/rules ===
--- 
+++ 
@@ -10,22 +10,15 @@
 # https://lists.debian.org/debian-med/2018/04/msg00132.html
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
-MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
-FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
-
 
 %:
-	dh $@ --parallel
+	dh $@
 
 CMAKE_APPLICATIONS_EXTRA_FLAGS += \
-	-DORTHANC_FRAMEWORK_SOURCE=path \
-	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/Applications/ThirdPartyDownloads/orthanc \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 CMAKE_VIEWER_EXTRA_FLAGS += \
-	-DORTHANC_FRAMEWORK_SOURCE=path \
-	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ViewerPlugin/ThirdPartyDownloads/orthanc \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DUSE_SYSTEM_OPENLAYERS:BOOL=ON \
 	-DOPENLAYERS_CSS=$(CURDIR)/BuildViewer/ol.min.css \
@@ -36,11 +29,11 @@
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p Applications/ThirdPartyDownloads
 	( cd Applications/ThirdPartyDownloads && \
-	apt-get source orthanc || HOME=$(CURDIR)/Applications/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
+	  ln -s ../../debian/ThirdPartyDownloads/Orthanc-1.7.0.tar.gz . )
 
 	mkdir -p ViewerPlugin/ThirdPartyDownloads
 	( cd ViewerPlugin/ThirdPartyDownloads && \
-	apt-get source orthanc || HOME=$(CURDIR)/ViewerPlugin/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
+	  ln -s ../../debian/ThirdPartyDownloads/Orthanc-1.7.0.tar.gz . )
 
         # Configure the command-line tools
 	mkdir BuildApplications
