## orthanc-wsi 1.0

=== Applications/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,6 @@
 # Advanced parameters to fine-tune linking against system libraries
 SET(USE_SYSTEM_LIBTIFF ON CACHE BOOL "Use the system version of libtiff")
 SET(USE_SYSTEM_OPENJPEG ON CACHE BOOL "Use the system version of OpenJpeg")
-SET(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
 
 
 
@@ -27,52 +26,47 @@
 SET(ORTHANC_WSI_DIR ${CMAKE_CURRENT_LIST_DIR}/..)
 SET(USE_OPENJPEG_JP2 ON)
 
-include(${CMAKE_SOURCE_DIR}/../Resources/Orthanc/DownloadOrthancFramework.cmake)
-
-UNSET(STANDALONE_BUILD CACHE)
-SET(STANDALONE_BUILD ON)       # Embed DCMTK's dictionaries for static builds
-
-set(ORTHANC_FRAMEWORK_PLUGIN OFF)
-include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkParameters.cmake)
-
-SET(ENABLE_CRYPTO_OPTIONS ON)
-SET(ENABLE_DCMTK ON)
-SET(ENABLE_DCMTK_JPEG OFF)          # Disable DCMTK's support for JPEG, that clashes with libtiff
-SET(ENABLE_DCMTK_JPEG_LOSSLESS OFF) # Disable DCMTK's support for JPEG-LS
-SET(ENABLE_DCMTK_NETWORKING OFF)    # Disable DCMTK's support for DICOM networking
-SET(ENABLE_JPEG ON)
-SET(ENABLE_LOCALE ON)               # Enable support for locales (notably in Boost)
-SET(ENABLE_OPENSSL_ENGINES ON)
-SET(ENABLE_PNG ON)
-SET(ENABLE_SSL ON)
-SET(ENABLE_WEB_CLIENT ON)
-SET(ENABLE_ZLIB ON)
-SET(HAS_EMBEDDED_RESOURCES ON)
-
-include(${ORTHANC_ROOT}/Resources/CMake/VisualStudioPrecompiledHeaders.cmake)
-include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkConfiguration.cmake)
-include_directories(${ORTHANC_ROOT})
+if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
+  set(ENABLE_DCMTK ON)
+  set(ORTHANC_BOOST_COMPONENTS program_options)
+  include(${CMAKE_SOURCE_DIR}/../Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)  
+
+  link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})
+  include_directories(${ORTHANC_FRAMEWORK_ROOT})
+  
+else()
+  include(${CMAKE_SOURCE_DIR}/../Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)
+  include_directories(${ORTHANC_FRAMEWORK_ROOT})
+
+  UNSET(STANDALONE_BUILD CACHE)
+  SET(STANDALONE_BUILD ON)       # Embed DCMTK's dictionaries for static builds
+
+  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkParameters.cmake)
+
+  SET(ENABLE_CRYPTO_OPTIONS ON)
+  SET(ENABLE_DCMTK ON)
+  SET(ENABLE_DCMTK_JPEG OFF)          # Disable DCMTK's support for JPEG, that clashes with libtiff
+  SET(ENABLE_DCMTK_JPEG_LOSSLESS OFF) # Disable DCMTK's support for JPEG-LS
+  SET(ENABLE_DCMTK_NETWORKING OFF)    # Disable DCMTK's support for DICOM networking
+  SET(ENABLE_JPEG ON)
+  SET(ENABLE_LOCALE ON)               # Enable support for locales (notably in Boost)
+  SET(ENABLE_OPENSSL_ENGINES ON)
+  SET(ENABLE_PNG ON)
+  SET(ENABLE_SSL ON)
+  SET(ENABLE_WEB_CLIENT ON)
+  SET(ENABLE_ZLIB ON)
+
+  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/VisualStudioPrecompiledHeaders.cmake)
+  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
+
+  include(${ORTHANC_WSI_DIR}/Resources/CMake/BoostExtendedConfiguration.cmake)
+endif()
 
 
 # Include components specific to WSI
-include(${ORTHANC_WSI_DIR}/Resources/CMake/BoostExtendedConfiguration.cmake)
 include(${ORTHANC_WSI_DIR}/Resources/CMake/OpenJpegConfiguration.cmake)
 include(${ORTHANC_WSI_DIR}/Resources/CMake/LibTiffConfiguration.cmake)
 
-
-
-#####################################################################
-## Find the Orthanc SDK
-#####################################################################
-
-if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
-  include_directories(${CMAKE_SOURCE_DIR}/../Resources/Orthanc/Sdk-1.0.0)
-else ()
-  CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
-  if (NOT HAVE_ORTHANC_H)
-    message(FATAL_ERROR "Please install the headers of the Orthanc plugins SDK")
-  endif()
-endif()
 
 
 #####################################################################
@@ -120,7 +114,6 @@
   )
 
 add_definitions(
-  -DHAS_ORTHANC_EXCEPTION=1
   -DORTHANC_ENABLE_LOGGING_PLUGIN=0
   )
 
@@ -138,7 +131,7 @@
     )
   
   ADD_VISUAL_STUDIO_PRECOMPILED_HEADERS(
-    "PrecompiledHeaders.h" "${ORTHANC_ROOT}/Core/PrecompiledHeaders.cpp"
+    "PrecompiledHeaders.h" "${ORTHANC_FRAMEWORK_ROOT}/PrecompiledHeaders.cpp"
     TMP ORTHANC_CORE_PCH)
 
   ADD_VISUAL_STUDIO_PRECOMPILED_HEADERS(
@@ -154,25 +147,22 @@
 #####################################################################
 
 add_library(OrthancWSIFramework STATIC
+  ${ORTHANC_WSI_PCH}
+  ${ORTHANC_WSI_SOURCES}
+
   ${ORTHANC_CORE_PCH}
   ${ORTHANC_CORE_SOURCES_INTERNAL}
   ${ORTHANC_CORE_SOURCES_DEPENDENCIES}
   ${ORTHANC_DICOM_SOURCES_INTERNAL}
   ${ORTHANC_DICOM_SOURCES_DEPENDENCIES}
-  ${ORTHANC_WSI_PCH}
-  ${ORTHANC_WSI_SOURCES}
   ${AUTOGENERATED_SOURCES}
   ${BOOST_EXTENDED_SOURCES}
 
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/DicomDatasetReader.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/DicomPath.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/DicomTag.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/FullOrthancDataset.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/IOrthancConnection.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancHttpConnection.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginConnection.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/Common/SimplifiedOrthancDataset.cpp
+  ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/DicomDatasetReader.cpp
+  ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/DicomPath.cpp
+  ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/FullOrthancDataset.cpp
+  ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/IOrthancConnection.cpp
+  ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/OrthancHttpConnection.cpp
 
   # Mandatory components
   ${LIBTIFF_SOURCES}
@@ -188,7 +178,7 @@
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_WSI_VERSION} OrthancWSIDicomizer OrthancWSIDicomizer.exe "Companion tool to Orthanc for whole-slide imaging"
     ERROR_VARIABLE Failure
     OUTPUT_FILE ${AUTOGENERATED_DIR}/OrthancWSIDicomizer.rc
@@ -224,7 +214,7 @@
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_WSI_VERSION} OrthancWSIDicomToTiff OrthancWSIDicomToTiff.exe "Companion tool to Orthanc for whole-slide imaging"
     ERROR_VARIABLE Failure
     OUTPUT_FILE ${AUTOGENERATED_DIR}/OrthancWSIDicomToTiff.rc
