=== debian/changelog ===
orthanc-wsi (1.0-3) unstable; urgency=medium

  * Added missing "Built-Using" attribute. Closes: #989126

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Jun 2021 14:34:06 +0200

orthanc-wsi (1.0-2) unstable; urgency=medium

  * Statically link against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 26 Feb 2021 16:01:23 +0100

orthanc-wsi (1.0-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 14 Jan 2021 11:04:29 +0100
