=== debian/control ===
--- 
+++ 
@@ -6,19 +6,16 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
-               libboost-all-dev,
                libcurl4-openssl-dev | libcurl4-dev,
                libdcmtk-dev,
-               libjpeg-dev,
-               libjsoncpp-dev,
                libopenjp2-7-dev,
-               libpng-dev,
+               liborthancframework-dev,
                libtiff5-dev,
                orthanc-dev (>= 1.1.0),
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-wsi
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-wsi.git
 Homepage: http://www.orthanc-server.com/static.php?page=wsi
@@ -27,6 +24,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${orthancframework:Built-Using}
 Recommends: orthanc (>= 1.1.0),
             libopenslide0
 Description: Whole-slide imaging support for Orthanc (digital pathology)
