=== debian/rules ===
--- 
+++ 
@@ -14,27 +14,33 @@
 %:
 	dh $@
 
+ORTHANC_FRAMEWORK_LIBRARIES="boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid  dcmdata ofstd jpeg png curl boost_program_options dcmjpeg dcmjpls dcmimage dl"
+
 CMAKE_APPLICATIONS_EXTRA_FLAGS += \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
+	-DORTHANC_FRAMEWORK_SOURCE=system \
+        -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
+        -DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=${ORTHANC_FRAMEWORK_LIBRARIES} \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 CMAKE_VIEWER_EXTRA_FLAGS += \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
+	-DORTHANC_FRAMEWORK_SOURCE=system \
+        -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
+        -DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=${ORTHANC_FRAMEWORK_LIBRARIES} \
 	-DUSE_SYSTEM_OPENLAYERS:BOOL=ON \
 	-DOPENLAYERS_CSS=$(CURDIR)/BuildViewer/ol.min.css \
 	-DOPENLAYERS_JS=$(CURDIR)/BuildViewer/ol.min.js \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
+# Automated generation of the "Built-Using" attribute in "d/control"
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989126
+# Adapted from:
+# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
+
 override_dh_auto_configure:
-        # Put 3rd party packages where the cmake build system expects them
-	mkdir -p Applications/ThirdPartyDownloads
-	( cd Applications/ThirdPartyDownloads && \
-	  ln -s ../../debian/ThirdPartyDownloads/Orthanc-1.7.0.tar.gz . )
-
-	mkdir -p ViewerPlugin/ThirdPartyDownloads
-	( cd ViewerPlugin/ThirdPartyDownloads && \
-	  ln -s ../../debian/ThirdPartyDownloads/Orthanc-1.7.0.tar.gz . )
-
         # Configure the command-line tools
 	mkdir BuildApplications
 	dh_auto_configure --builddirectory=BuildApplications \
@@ -62,12 +68,6 @@
 	dh_auto_build --builddirectory=BuildViewer \
 		      --sourcedirectory=ViewerPlugin
 
-override_dh_clean:
-	rm -rf Applications/ThirdPartyDownloads/
-	rm -rf ViewerPlugin/ThirdPartyDownloads/
-
-	dh_clean
-
 override_dh_auto_install:
         # Install the command-line tools
 	dh_auto_install --builddirectory=BuildApplications
